xine-lib: rmff_mdpr_t Struct Reference

xine-lib 1.2.12

Data Fields
rmff_mdpr_t Struct Reference

`#include <rmff.h>`

## Data Fields
uint32_t | object_id
uint32_t | size
uint16_t | object_version
uint16_t | stream_number
uint32_t | max_bit_rate
uint32_t | avg_bit_rate
uint32_t | max_packet_size
uint32_t | avg_packet_size
uint32_t | start_time
uint32_t | preroll
uint32_t | duration
uint8_t | stream_name_size
char * | stream_name
uint8_t | mime_type_size
char * | mime_type
uint32_t | type_specific_len
char * | type_specific_data
int | mlti_data_size
char * | mlti_data

## Field Documentation

## ◆ avg_bit_rate

uint32_t rmff_mdpr_t::avg_bit_rate

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ avg_packet_size

uint32_t rmff_mdpr_t::avg_packet_size

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ duration

uint32_t rmff_mdpr_t::duration

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ max_bit_rate

uint32_t rmff_mdpr_t::max_bit_rate

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ max_packet_size

uint32_t rmff_mdpr_t::max_packet_size

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ mime_type

char* rmff_mdpr_t::mime_type

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ mime_type_size

uint8_t rmff_mdpr_t::mime_type_size

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ mlti_data

char* rmff_mdpr_t::mlti_data

Referenced by rmff_new_mdpr().

## ◆ mlti_data_size

int rmff_mdpr_t::mlti_data_size

## ◆ object_id

uint32_t rmff_mdpr_t::object_id

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ object_version

uint16_t rmff_mdpr_t::object_version

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ preroll

uint32_t rmff_mdpr_t::preroll

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ size

uint32_t rmff_mdpr_t::size

Referenced by rmff_dump_mdpr(), rmff_fix_header(), and rmff_new_mdpr().

## ◆ start_time

uint32_t rmff_mdpr_t::start_time

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ stream_name

char* rmff_mdpr_t::stream_name

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ stream_name_size

uint8_t rmff_mdpr_t::stream_name_size

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ stream_number

uint16_t rmff_mdpr_t::stream_number

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ type_specific_data

char* rmff_mdpr_t::type_specific_data

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

## ◆ type_specific_len

uint32_t rmff_mdpr_t::type_specific_len

Referenced by rmff_dump_mdpr(), and rmff_new_mdpr().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/libreal/rmff.h